Skip to main content
Filters

Browse Catalog

1,300 results
Retail View

LEED Brakes H8

8 inch dual power brake booster with bracket (Zinc); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.

Log in for inventory

LEED Brakes RFC0006SMX

Spindle Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes A4400LD

New fully tested loaded caliper with stainless steel pistons RH; Leed Brakes calipers are all new units assembled with the highest quality machined components. All units are pressure tested after assembly to insure years of trouble-free operation. Includes street performance semi-metallic brake pads.

Log in for inventory

LEED Brakes RFC0004-W405X

Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes FC1002-NBB4X

Power Front Kit with Drilled Rotors and Zinc Plated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes RFC1007-FA1X

Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes H81

8 inch dual power booster, 1-1/8 inch bore master (Zinc); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.

Log in for inventory

LEED Brakes RFC0007-3405AX

Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes A4401LD

New fully tested loaded caliper with stainless steel pistons LH; Leed Brakes calipers are all new units assembled with the highest quality machined components. All units are pressure tested after assembly to insure years of trouble-free operation. Includes street performance semi-metallic brake pads.

Log in for inventory

LEED Brakes RFC0025-405PX

Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes RFC1007-FA3X

Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes H81A1

8 inch dual power booster, 1-1/8 inch bore master disc/drum (Zinc); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.

Log in for inventory